#import "AudioProcessor.h"

@implementation AudioProcessor

-(id)       init {
    
    if (self = [super init]) {
        
        Superpowered::Initialize ("ExampleLicenseKey-WillExpire-OnNextUpdate");
        
        audioIO           = [[SuperpoweredOSXAudioIO alloc] initWithDelegate:(id<SuperpoweredOSXAudioIODelegate>)self
                                                       preferredBufferSizeMs:12
                                                            numberOfChannels:2
                                                                 enableInput:true
                                                                enableOutput:true];
        liveAnalyzer      = new Superpowered::LiveAnalyzer (44100);
        liveAnalyzer->bpm = -1.0;
    }
    
    return self;
}

-(bool)     audioProcessingCallback:(float*)inputBuffer
                       outputBuffer:(float*)outputBuffer
                     numberOfFrames:(unsigned int)numFrames
                         samplerate:(unsigned int)sampleRate
                           hostTime:(unsigned long long int)hostTime {
    
    if (inputBuffer) liveAnalyzer->process (inputBuffer, numFrames);
    
    bpm = (liveAnalyzer->silence) ? -1.0 : liveAnalyzer->bpm;
    
    return false;
}

-(float)    getBPM { return bpm; }

-(void)     start { [audioIO start]; }

-(void)     stop { [audioIO stop]; }

@end
