#version 150 core                           // Stipulate OpenGL 3.2 Core

uniform bool        CubeMapFlag;            // Flags CubeMapUnit as valid
uniform samplerCube CubeMapUnit;            // CubeMap's texture unit number

in  vec3    TexCoords;                      // Direction vector of 3D texture coordinate
out vec4    FragColor;                      // Output to next stage in OpenGL pipeline

void main (void) {
    
    if (CubeMapFlag) FragColor = texture (CubeMapUnit, TexCoords);  // If valid Cubemap, use it to set fragment color
    
    else             FragColor = vec4 (1.0, 0.0, 0.0, 1.0);         // Otherwise, send a bright default to next stage
}
