#version 150 core                           // Stipulate OpenGL 3.2 Core profile

uniform mat4    ModelViewMatrix;
uniform mat4    ProjectionMatrix;

in  vec3        Position;
out vec3        TexCoords;

void main (void) {

    TexCoords   = Position;

    gl_Position = (ProjectionMatrix * ModelViewMatrix * vec4 (Position, 1.0)).xyww;     // Set Position's Z component equal to W component
}                                                                                       // Resulting in a Z component that's always == 1.0
                                                                                        // Next, transform Position to Eye-space, then Clip-space
                                                                                        // (See https://learnopengl.com/Advanced-OpenGL/Cubemaps)
