#version 150 core                           // Stipulate OpenGL 3.2 Core

uniform float   DeltaTime;                  // Time since startup (seconds)

in      vec2    ViewportCoords;             // Full-screen viewport coordinates
out     vec4    FragColor;                  // Output to next stage in pipeline

//  Fork of David Hoskins' starfield shader at https://www.shadertoy.com/view/Msl3WH

void main (void) {
    
    float s     = 0.0, v = 0.0, si = 0.0;
    
    float time  = -(DeltaTime + 29.0) * 60.0;

    vec2  uv    = -1.0 + 2.0 * ViewportCoords.xy;

    vec3  init  = vec3 (0.25, 0.25 + sin (time * 0.001) * 0.1, time * 0.0008);

    vec3  col   = vec3 (0.0);

    for (int r = 0; r < 100; r++) {

        vec3 p  = init + s * vec3 (uv, 0.143);

        p.z     = mod (p.z, 2.0);

        for (int i=0; i < 10; i++) p = abs (p * 2.04) / dot (p, p) - 0.75;

        v   += length (p * p) * smoothstep (0.0, 0.5, 0.9 - s) * .002;

        col += vec3 (v * 0.8, 1.1 - s * 0.5, .7 + v * 0.5) * v * 0.013;

        s   += .01;
    }

    FragColor = vec4 (col, 1.0);
}
